import styles from './styles.module.scss';
import BRAccountEdit from "@widgets/WWithdraw/BR/BRAccountEdit";
import MXAccountEdit from "@widgets/WWithdraw/MX/MXAccountEdit";
import RUAccountEdit from "@widgets/WWithdraw/RU/RUAccountEdit";
const AccountEdit=({...props})=>{
    const components={
        "br":BRAccountEdit,
        "mx":MXAccountEdit,
        "ru":RUAccountEdit
    }
    const renderAccountEdit=()=>{
        let areaItem=global.getLocalAreaItem();
        if (areaItem!=null){
            let Comp=components[areaItem.code];
            if (Comp!=null){
                return <Comp {...props} />
            }
        }
        return (<></>);
    }
    return (
        <div className={styles.container}>
            {/*<BRAccountEdit {...props}/>*/}
            {renderAccountEdit()}
        </div>
    )
}
export default AccountEdit;
